import fs from 'node:fs'

function init(filename) {
    const data = fs.readFileSync(filename, { encoding: 'utf-8' }, data => data)

    let table = ""
    let files = [...data.split('').filter((val, idx) => idx % 2 === 0)]
    let free_spaces = [...data.split('').filter((val, idx) => idx % 2 !== 0)]
    let diskmap = [...data.split('')]

    diskmap.forEach((sector, index) => {
        table += index % 2 === 0 ? ''.padStart(sector, index / 2) : ''.padStart(sector, '.')
    })
    console.log(table)
}

init('easy_example.txt')